v1.0
post
/ec-codelist-svc/rest/v1.0/codelist/code/copy/{codeId}
Create a copy of an existing codelist under a new name.
Request
Path Parameters
-
codeId(required): string(uuid)
ID of the codelist value.Example:
B1B8327AFAA6412287106192AB5984EF
Query Parameters
-
codeName(required): string
Name of the codelist.Example:
AESEV -
codelistType: string
Type of the codelist. Allowed values are USER, CUSTOM, SYSTEM, APPLICATION.Default Value:
CUSTOMAllowed Values:[ "USER", "CUSTOM", "SYSTEM", "APPLICATION", "DYNAMIC", "DESIGN" ]Example:String -
studyId: string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) ID of a Study. Only required if level path parameter equals to 'studies'Example:
B1B8327AFAA6412287106192AB5984EF
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : Code
Type:
Show Source
object-
canAddValues: boolean
Whether values can be added.Example:
true -
canHideValues: boolean
Whether values can be hidden.Example:
true -
codeGroupId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the codelist group.Example:
B1B8327AFAA6412287106192AB5984EF -
codeLevel: string
Minimum Length:
1Maximum Length:32Codelist code level.Example:SYSTEM -
codeName: string
Minimum Length:
1Maximum Length:255Codelist code name.Example:AE_SEVERITY -
codeType: string
Minimum Length:
1Maximum Length:255Codelist code type.Example:SYSTEM -
comment: string
Comment.Example:
Updated description -
customizable: boolean
-
description: string
Minimum Length:
1Maximum Length:4000Codelist description.Example:Severity of adverse event. -
displayCodeName: string
Display name for the codelist.Example:
AE Severity -
id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string)Example:
B1B8327AFAA6412287106192AB5984EF -
objectVersionNumber: number
Object version number.Example:
1 -
operationType: string
Minimum Length:
1Maximum Length:16Operation type.Example:CREATED -
optlock: string
(date-time)
Optimistic lock timestamp.
-
parCodeName: string
Minimum Length:
1Maximum Length:255Parent codelist code name.Example:AE -
reason: string
Reason for change.Example:
Updating codelist -
softwareVersionNumber: number
Software version number.Example:
1 -
tag: string
Minimum Length:
1Maximum Length:32767Tag for the codelist.Example:safety -
tenantLevelOnly: boolean
-
userId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the user.Example:
B1B8327AFAA6412287106192AB5984EF -
versionEnd: string
(date-time)
Version end timestamp.
-
versionStart: string
(date-time)
Version start timestamp.
Examples
400 Response
Invalid request URL.
Nested Schema : result
Type:
objectNested Schema : details
Type:
object